Bug 1575346 - [abrt] gp100_gr_init: WARNING: CPU: 2 PID: 1127 at drivers/gpu/drm/nouveau/nvkm/engine/gr/gf100.c:1507 gf100_gr_init_ctxctl+0x842/0x9f0 [nouveau] [nouveau]
Summary: [abrt] gp100_gr_init: WARNING: CPU: 2 PID: 1127 at drivers/gpu/drm/nouveau/nv...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ben Skeggs
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:efea4406b75a51237567c954078...
: 1657482 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-06 07:31 UTC by Mike
Modified: 2019-05-28 23:26 UTC (History)
20 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 23:26:19 UTC
Type: ---


Attachments (Terms of Use)
File: dmesg (99.79 KB, text/plain)
2018-05-06 07:31 UTC, Mike
no flags Details

Description Mike 2018-05-06 07:31:21 UTC
Description of problem:
Hi,

When booting up the laptop, I have to edit grub settings and add nouveau.modeset=0 otherwise the X system doesn't show up.
I'm using a laptop with optimus technology.

one card is GeForce GTX 1050 M the other one is Intel® HD Graphics 630 (Kaby Lake GT2) running on this processor ntel® Core™ i7-7700HQ CPU @ 2.80GHz × 8 

Thanks
Mike

Additional info:
reporter:       libreport-2.9.5
WARNING: CPU: 2 PID: 1127 at drivers/gpu/drm/nouveau/nvkm/engine/gr/gf100.c:1507 gf100_gr_init_ctxctl+0x842/0x9f0 [nouveau]
Modules linked in: xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack devlink ip_set nfnetlink ebtable_nat ebtable_broute bridge stp llc ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack libcrc32c iptable_mangle iptable_raw iptable_security ebtable_filter ebtables ip6table_filter ip6_tables bnep sunrpc vfat fat arc4 intel_rapl iwlmvm snd_hda_codec_hdmi x86_pkg_temp_thermal intel_powerclamp coretemp kvm_intel mac80211 kvm snd_hda_codec_realtek snd_hda_codec_generic snd_hda_intel irqbypass crct10dif_pclmul iTCO_wdt iTCO_vendor_support crc32_pclmul snd_hda_codec
 iwlwifi snd_hda_core ghash_clmulni_intel snd_hwdep intel_cstate snd_seq intel_uncore uvcvideo cfg80211 snd_seq_device btusb snd_pcm btrtl btbcm intel_rapl_perf btintel videobuf2_vmalloc videobuf2_memops bluetooth videobuf2_v4l2 videobuf2_common hp_wmi sparse_keymap videodev wmi_bmof rtsx_pci_ms joydev media memstick snd_timer i2c_i801 snd ecdh_generic processor_thermal_device rfkill mei_me int340x_thermal_zone soundcore tpm_crb intel_soc_dts_iosf mei shpchp intel_pch_thermal tpm_tis tpm_tis_core hp_accel tpm int3400_thermal lis3lv02d hp_wireless acpi_thermal_rel input_polldev acpi_pad i915 nouveau mxm_wmi ttm i2c_algo_bit drm_kms_helper rtsx_pci_sdmmc nvme mmc_core drm nvme_core r8169 crc32c_intel rtsx_pci mii serio_raw wmi video
CPU: 2 PID: 1127 Comm: gnome-shell Not tainted 4.16.6-302.fc28.x86_64 #1
Hardware name: HP HP Pavilion Power Laptop 15-cb0xx/836B, BIOS F.10 07/28/2017
RIP: 0010:gf100_gr_init_ctxctl+0x842/0x9f0 [nouveau]
RSP: 0018:ffffaa4e42dcfb58 EFLAGS: 00010282
RAX: 0000000000000000 RBX: ffff94f75b955e00 RCX: 0000000000000006
RDX: 0000000000000007 RSI: 0000000000000096 RDI: ffff94f76ec968f0
RBP: ffff94f7549e8000 R08: 0000000000000030 R09: 00000000000003fc
R10: 0000000000000000 R11: 0000000000000001 R12: 000000007737a6e0
R13: ffff94f7536cde40 R14: 00000001bdf35280 R15: ffff94f7549e8000
FS:  00007f9fb0f6f280(0000) GS:ffff94f76ec80000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 0000563cb0306548 CR3: 000000044734c003 CR4: 00000000003606e0
Call Trace:
 gp100_gr_init+0x6e2/0x720 [nouveau]
 nvkm_engine_init+0xaa/0x1e0 [nouveau]
 nvkm_subdev_init+0xb2/0x200 [nouveau]
 nvkm_engine_ref+0x48/0x70 [nouveau]
 nvkm_ioctl_new+0x125/0x220 [nouveau]
 ? nvkm_fifo_chan_dtor+0xf0/0xf0 [nouveau]
 ? gf100_fermi_mthd+0xf0/0xf0 [nouveau]
 ? nvkm_ioctl+0xd8/0x170 [nouveau]
 ? usif_ioctl+0x6b3/0x730 [nouveau]
 ? nouveau_drm_ioctl+0xad/0xc0 [nouveau]
 ? do_vfs_ioctl+0xa4/0x610
 ? SyS_ioctl+0x74/0x80
 ? do_syscall_64+0x74/0x180
 ? entry_SYSCALL_64_after_hwframe+0x3d/0xa2
Code: fb ff ff 48 8b 7b 10 48 8b 5f 50 48 85 db 75 04 48 8b 5f 10 e8 20 be 08 cf 48 89 da 48 c7 c7 4d 91 60 c0 48 89 c6 e8 d8 28 ba ce <0f> 0b b8 f0 ff ff ff e9 e0 fa ff ff 48 8b 7b 10 48 8b 5f 50 48

Comment 1 Mike 2018-05-06 07:31:30 UTC
Created attachment 1432261 [details]
File: dmesg

Comment 2 Max 2018-05-08 00:30:37 UTC
Description of problem:
Something to do with plugging in / unplugging monitor via hdmi to my laptop

Version-Release number of selected component:
kernel-core-4.16.5-300.fc28

Additional info:
reporter:       libreport-2.9.5
cmdline:        BOOT_IMAGE=/vmlinuz-4.16.5-300.fc28.x86_64 root=UUID=d8f35ed3-53e0-4f72-b4fc-82970ab81c7d ro resume=UUID=e380f6a5-49d1-4855-acb4-3e85ef1747f2 rhgb quiet LANG=en_AU.UTF-8
crash_function: gp100_gr_init
kernel:         4.16.5-300.fc28.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 2 PID: 1125 at drivers/gpu/drm/nouveau/nvkm/engine/gr/gf100.c:1507 gf100_gr_init_ctxctl+0x842/0x9f0 [nouveau]
Modules linked in: bridge(+) stp llc ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack libcrc32c iptable_mangle iptable_raw iptable_security ebtable_filter ebtables ip6table_filter ip6_tables cmac bnep sunrpc vfat fat arc4 btusb uvcvideo btrtl btbcm btintel videobuf2_vmalloc videobuf2_memops bluetooth videobuf2_v4l2 videobuf2_common videodev media ecdh_generic snd_hda_codec_hdmi intel_rapl x86_pkg_temp_thermal intel_powerclamp coretemp ath10k_pci kvm_intel ath10k_core iTCO_wdt mei_wdt iTCO_vendor_support snd_hda_codec_realtek snd_hda_codec_generic kvm mac80211 dell_laptop snd_hda_intel snd_hda_codec dell_smm_hwmon irqbypass crct10dif_pclmul snd_hda_core crc32_pclmul
 snd_hwdep tpm_crb snd_seq ath ghash_clmulni_intel snd_seq_device intel_cstate intel_uncore snd_pcm cfg80211 intel_rapl_perf dell_wmi dell_smbios dcdbas snd_timer snd rtsx_pci_ms joydev intel_wmi_thunderbolt dell_wmi_descriptor wmi_bmof soundcore i2c_i801 rfkill idma64 memstick mei_me processor_thermal_device intel_lpss_pci intel_pch_thermal intel_soc_dts_iosf intel_lpss mei shpchp tpm_tis tpm_tis_core intel_hid sparse_keymap int3403_thermal int340x_thermal_zone tpm acpi_pad int3400_thermal acpi_thermal_rel nouveau i915 ttm hid_multitouch rtsx_pci_sdmmc i2c_algo_bit mmc_core drm_kms_helper mxm_wmi drm serio_raw nvme crc32c_intel nvme_core i2c_hid rtsx_pci wmi video
CPU: 2 PID: 1125 Comm: Xorg Not tainted 4.16.5-300.fc28.x86_64 #1
Hardware name: Dell Inc. XPS 15 9560/05FFDN, BIOS 1.9.4 04/23/2018
RIP: 0010:gf100_gr_init_ctxctl+0x842/0x9f0 [nouveau]
RSP: 0018:ffffa9e4c2e97b58 EFLAGS: 00010282
RAX: 0000000000000000 RBX: ffff94a16b174050 RCX: 0000000000000006
RDX: 0000000000000007 RSI: 0000000000000096 RDI: ffff94a17e4968f0
RBP: ffff94a165a98000 R08: 0000000000000030 R09: 0000000000000451
R10: 0000000000000000 R11: 0000000000000001 R12: 0000000077363660
R13: ffff94a165a3b960 R14: 00000002b117e3c0 R15: ffff94a165a98000
FS:  00007f9b02605ac0(0000) GS:ffff94a17e480000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00007f9b024ce000 CR3: 00000004672ae006 CR4: 00000000003606e0
Call Trace:
 gp100_gr_init+0x6e2/0x720 [nouveau]
 nvkm_engine_init+0xaa/0x1e0 [nouveau]
 nvkm_subdev_init+0xb2/0x200 [nouveau]
 nvkm_engine_ref+0x48/0x70 [nouveau]
 nvkm_ioctl_new+0x125/0x220 [nouveau]
 ? nvkm_fifo_chan_dtor+0xf0/0xf0 [nouveau]
 ? gf100_fermi_mthd+0xf0/0xf0 [nouveau]
 ? nvkm_ioctl+0xd8/0x170 [nouveau]
 ? usif_ioctl+0x6b3/0x730 [nouveau]
 ? nouveau_drm_ioctl+0xad/0xc0 [nouveau]
 ? do_vfs_ioctl+0xa4/0x610
 ? handle_mm_fault+0xda/0x200
 ? __do_page_fault+0x263/0x4e0
 ? SyS_ioctl+0x74/0x80
 ? do_syscall_64+0x74/0x180
 ? entry_SYSCALL_64_after_hwframe+0x3d/0xa2
Code: fb ff ff 48 8b 7b 10 48 8b 5f 50 48 85 db 75 04 48 8b 5f 10 e8 40 7f df cc 48 89 da 48 c7 c7 4d d1 89 c0 48 89 c6 e8 d8 e8 90 cc <0f> 0b b8 f0 ff ff ff e9 e0 fa ff ff 48 8b 7b 10 48 8b 5f 50 48

Comment 3 outside_boi 2018-05-12 17:07:12 UTC
Description of problem:
These annoying warnings pop up every time I don't put "nouveau.modeset=0" in boot options but since today the pop up regardless. I'm on a XPS15 9560 with igpu + nvidia gtx1060m and I just want to ignore the the dgpu and use the other one.

Version-Release number of selected component:
kernel-core-4.16.7-300.fc28

Additional info:
reporter:       libreport-2.9.5
cmdline:        BOOT_IMAGE=/vmlinuz-4.16.7-300.fc28.x86_64 root=/dev/mapper/fedora_set-root ro resume=/dev/mapper/fedora_set-swap rd.lvm.lv=fedora_set/root rd.lvm.lv=fedora_set/swap rhgb quiet LANG=en_US.UTF-8 nouveau.modeset=0
crash_function: gp100_gr_init
kernel:         4.16.7-300.fc28.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 3 PID: 1012 at drivers/gpu/drm/nouveau/nvkm/engine/gr/gf100.c:1507 gf100_gr_init_ctxctl+0x842/0x9f0 [nouveau]
Modules linked in: ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ip_set nfnetlink ebtable_nat ebtable_broute bridge stp llc ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack libcrc32c iptable_mangle iptable_raw iptable_security ebtable_filter ebtables ip6table_filter ip6_tables arc4 cmac bnep sunrpc vfat fat intel_rapl x86_pkg_temp_thermal intel_powerclamp coretemp kvm_intel ath10k_pci ath10k_core kvm mei_wdt hid_multitouch iTCO_wdt iTCO_vendor_support snd_hda_codec_hdmi irqbypass crct10dif_pclmul mac80211 crc32_pclmul dell_laptop ghash_clmulni_intel tpm_crb dell_smm_hwmon snd_hda_codec_realtek intel_cstate snd_hda_codec_generic intel_uncore intel_rapl_perf
 ath snd_hda_intel btusb cfg80211 btrtl btbcm btintel snd_hda_codec bluetooth uvcvideo joydev snd_hda_core videobuf2_vmalloc dell_wmi snd_hwdep dell_smbios snd_seq dcdbas dell_wmi_descriptor snd_seq_device wmi_bmof intel_wmi_thunderbolt videobuf2_memops snd_pcm videobuf2_v4l2 videobuf2_common videodev media ecdh_generic snd_timer rfkill snd rtsx_pci_ms soundcore memstick idma64 mei_me mei i2c_i801 intel_lpss_pci intel_lpss tpm_tis processor_thermal_device intel_soc_dts_iosf intel_pch_thermal dell_smo8800 tpm_tis_core int3403_thermal shpchp int340x_thermal_zone tpm intel_hid int3400_thermal acpi_thermal_rel acpi_pad sparse_keymap nouveau i915 ttm rtsx_pci_sdmmc mmc_core i2c_algo_bit drm_kms_helper mxm_wmi drm hid_roccat_lua rtsx_pci hid_roccat_common crc32c_intel serio_raw i2c_hid wmi
 video
CPU: 3 PID: 1012 Comm: Xorg Not tainted 4.16.7-300.fc28.x86_64 #1
Hardware name: Dell Inc. XPS 15 9560/0JHP5H, BIOS 1.7.1 01/25/2018
RIP: 0010:gf100_gr_init_ctxctl+0x842/0x9f0 [nouveau]
RSP: 0018:ffffb6af023d7b58 EFLAGS: 00010282
RAX: 0000000000000000 RBX: ffff9966f0b17550 RCX: 0000000000000006
RDX: 0000000000000007 RSI: 0000000000000096 RDI: ffff9966ff5968f0
RBP: ffff9966e9828000 R08: 0000000000000030 R09: 00000000000003f5
R10: 0000000000000000 R11: 0000000000000001 R12: 0000000077396440
R13: ffff9966ea6bea20 R14: 00000003449b6400 R15: ffff9966e9828000
FS:  00007f03018e5ac0(0000) GS:ffff9966ff580000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00007f02f6b82b60 CR3: 0000000357d9c005 CR4: 00000000003606e0
Call Trace:
 gp100_gr_init+0x6e2/0x720 [nouveau]
 nvkm_engine_init+0xaa/0x1e0 [nouveau]
 nvkm_subdev_init+0xb2/0x200 [nouveau]
 nvkm_engine_ref+0x48/0x70 [nouveau]
 nvkm_ioctl_new+0x125/0x220 [nouveau]
 ? nvkm_fifo_chan_dtor+0xf0/0xf0 [nouveau]
 ? gf100_fermi_mthd+0xf0/0xf0 [nouveau]
 ? nvkm_ioctl+0xd8/0x170 [nouveau]
 ? usif_ioctl+0x6b3/0x730 [nouveau]
 ? nouveau_drm_ioctl+0xad/0xc0 [nouveau]
 ? do_vfs_ioctl+0xa4/0x610
 ? SyS_ioctl+0x74/0x80
 ? do_syscall_64+0x74/0x180
 ? entry_SYSCALL_64_after_hwframe+0x3d/0xa2
Code: fb ff ff 48 8b 7b 10 48 8b 5f 50 48 85 db 75 04 48 8b 5f 10 e8 70 c0 d2 d8 48 89 da 48 c7 c7 4d 91 96 c0 48 89 c6 e8 d8 28 84 d8 <0f> 0b b8 f0 ff ff ff e9 e0 fa ff ff 48 8b 7b 10 48 8b 5f 50 48

Comment 4 Theofilos Mouratidis 2018-08-06 17:28:10 UTC
Description of problem:
i try to install fedora from usb, i used the program to create a media drive from fedora website.
i use an acer nitro with 8th gen i7 (hq smth). When I boot from the usb, I get these crash errors

Version-Release number of selected component:
kernel-core-4.16.3-301.fc28

Additional info:
reporter:       libreport-2.9.4
cmdline:        BOOT_IMAGE=/images/pxeboot/vmlinuz root=live:CDLABEL=Fedora-WS-Live-28-1-1 rd.live.image quiet
crash_function: gp100_gr_init
kernel:         4.16.3-301.fc28.x86_64
runlevel:       unknown
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 3 PID: 1678 at drivers/gpu/drm/nouveau/nvkm/engine/gr/gf100.c:1507 gf100_gr_init_ctxctl+0x842/0x9f0 [nouveau]
Modules linked in: devlink fuse nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack rfcomm ip_set nfnetlink ebtable_nat ebtable_broute bridge ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack libcrc32c iptable_mangle iptable_raw iptable_security ebtable_filter ebtables ip6table_filter ip6_tables cmac bnep arc4 dcdbas dell_wmi_descriptor snd_hda_codec_realtek snd_hda_codec_generic ath10k_pci ath10k_core intel_rapl uvcvideo x86_pkg_temp_thermal intel_powerclamp coretemp mac80211 videobuf2_vmalloc kvm_intel videobuf2_memops btusb videobuf2_v4l2 videobuf2_common btrtl kvm btbcm btintel videodev ath bluetooth
 snd_hda_intel media cfg80211 irqbypass snd_hda_codec nouveau acer_wmi snd_hda_core joydev ecdh_generic sparse_keymap i915 intel_cstate rfkill hid_multitouch intel_uncore snd_hwdep iTCO_wdt snd_seq iTCO_vendor_support rtsx_pci_ms intel_rapl_perf wmi_bmof intel_wmi_thunderbolt mxm_wmi snd_seq_device memstick ttm snd_pcm i2c_algo_bit drm_kms_helper snd_timer snd drm soundcore idma64 mei_me tpm_crb mei intel_lpss_pci video tpm_tis intel_lpss i2c_i801 shpchp intel_pch_thermal tpm_tis_core pinctrl_sunrisepoint tpm pinctrl_intel wmi acpi_pad nls_utf8 isofs squashfs zstd_decompress xxhash dm_multipath uas usb_storage rtsx_pci_sdmmc mmc_core 8021q garp mrp stp crct10dif_pclmul llc crc32_pclmul r8169 crc32c_intel nvme rtsx_pci nvme_core serio_raw mii i2c_hid ghash_clmulni_intel sunrpc loop
CPU: 3 PID: 1678 Comm: gnome-shell Not tainted 4.16.3-301.fc28.x86_64 #1
Hardware name: Acer Nitro AN515-51/Freed_KLS, BIOS V1.13 12/26/2017
RIP: 0010:gf100_gr_init_ctxctl+0x842/0x9f0 [nouveau]
RSP: 0018:ffffafe14452fb58 EFLAGS: 00010282
RAX: 0000000000000000 RBX: ffff99bdab910070 RCX: 0000000000000006
RDX: 0000000000000007 RSI: 0000000000000096 RDI: ffff99bdbecd68f0
RBP: ffff99bda2a10000 R08: 0000000000000030 R09: 0000000000000415
R10: 0000000000000000 R11: 0000000000000001 R12: 000000007738f400
R13: ffff99bdaaaf2780 R14: 0000000512f22660 R15: ffff99bda2a10000
FS:  00007fe0e65c8280(0000) GS:ffff99bdbecc0000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00007f7453b47498 CR3: 000000042b41e005 CR4: 00000000003606e0
Call Trace:
 gp100_gr_init+0x6e2/0x720 [nouveau]
 nvkm_engine_init+0xaa/0x1e0 [nouveau]
 nvkm_subdev_init+0xb2/0x200 [nouveau]
 nvkm_engine_ref+0x48/0x70 [nouveau]
 nvkm_ioctl_new+0x125/0x220 [nouveau]
 ? nvkm_fifo_chan_dtor+0xf0/0xf0 [nouveau]
 ? gf100_fermi_mthd+0xf0/0xf0 [nouveau]
 ? nvkm_ioctl+0xd8/0x170 [nouveau]
 ? usif_ioctl+0x6b3/0x730 [nouveau]
 ? nouveau_drm_ioctl+0xad/0xc0 [nouveau]
 ? do_vfs_ioctl+0xa4/0x610
 ? SyS_ioctl+0x74/0x80
 ? do_syscall_64+0x74/0x180
 ? entry_SYSCALL_64_after_hwframe+0x3d/0xa2
Code: fb ff ff 48 8b 7b 10 48 8b 5f 50 48 85 db 75 04 48 8b 5f 10 e8 c0 4b bc c2 48 89 da 48 c7 c7 4d 01 ad c0 48 89 c6 e8 d8 b8 6d c2 <0f> 0b b8 f0 ff ff ff e9 e0 fa ff ff 48 8b 7b 10 48 8b 5f 50 48

Comment 5 ericspi 2018-08-08 02:36:19 UTC
Description of problem:
I use live usb to boot to system. it cannot work on installation on system.

My computer is Dell Inspration 7467 version. 
I separate install it on C drive with dual OS(Windows 10(70GB) and Fedora Design Suit(30GB) from Fedora Labs)

i cannot clear up whole SSD HDD due to there is a Dell recovery support on the system

Version-Release number of selected component:
kernel-core-4.16.3-301.fc28

Additional info:
reporter:       libreport-2.9.4
cmdline:        BOOT_IMAGE=/images/pxeboot/vmlinuz root=live:CDLABEL=Fedora-Dsgn-Live-28-1-1 rd.live.image quiet
crash_function: gp100_gr_init
kernel:         4.16.3-301.fc28.x86_64
runlevel:       unknown
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 1 PID: 1656 at drivers/gpu/drm/nouveau/nvkm/engine/gr/gf100.c:1507 gf100_gr_init_ctxctl+0x842/0x9f0 [nouveau]
Modules linked in: fuse rfcomm nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ip_set nfnetlink ebtable_nat ebtable_broute bridge stp llc ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack libcrc32c iptable_mangle iptable_raw iptable_security ebtable_filter ebtables ip6table_filter ip6_tables cmac bnep arc4 snd_hda_codec_realtek snd_hda_codec_generic iwlmvm intel_rapl x86_pkg_temp_thermal intel_powerclamp mac80211 coretemp kvm_intel kvm snd_hda_intel snd_hda_codec iTCO_wdt irqbypass nouveau hid_multitouch iTCO_vendor_support i915 snd_hda_core btusb iwlwifi wmi_bmof btrtl dell_laptop dell_wmi snd_hwdep
 btbcm snd_seq dell_smbios btintel intel_cstate dell_wmi_descriptor intel_uncore bluetooth dcdbas cfg80211 snd_seq_device mxm_wmi intel_rapl_perf snd_pcm ttm dell_smm_hwmon i2c_algo_bit ecdh_generic drm_kms_helper snd_timer rfkill snd tpm_crb drm tpm_tis soundcore idma64 tpm_tis_core joydev mei_me tpm mei intel_lpss_pci intel_hid int3403_thermal shpchp i2c_i801 video intel_lpss processor_thermal_device int3400_thermal int3402_thermal sparse_keymap acpi_thermal_rel wmi intel_soc_dts_iosf int340x_thermal_zone intel_pch_thermal acpi_pad nls_utf8 isofs squashfs zstd_decompress xxhash dm_multipath uas usb_storage crct10dif_pclmul crc32_pclmul crc32c_intel ghash_clmulni_intel serio_raw i2c_hid wacom sunrpc loop
CPU: 1 PID: 1656 Comm: gnome-shell Not tainted 4.16.3-301.fc28.x86_64 #1
Hardware name: Dell Inc. Inspiron 14 7000 Gaming/01HPWC, BIOS 1.7.0 05/08/2018
RIP: 0010:gf100_gr_init_ctxctl+0x842/0x9f0 [nouveau]
RSP: 0018:ffffab0d02087b58 EFLAGS: 00010282
RAX: 0000000000000000 RBX: ffff9e5875cc2710 RCX: 0000000000000006
RDX: 0000000000000007 RSI: 0000000000000096 RDI: ffff9e58804568f0
RBP: ffff9e58714e4000 R08: 0000000000000030 R09: 0000000000000407
R10: 0000000000000000 R11: 0000000000000001 R12: 0000000077384720
R13: ffff9e5873fe7240 R14: 0000000519dec620 R15: ffff9e58714e4000
FS:  00007fc3a73a4280(0000) GS:ffff9e5880440000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00007fc39014c000 CR3: 000000023ae9a006 CR4: 00000000003606e0
Call Trace:
 gp100_gr_init+0x6e2/0x720 [nouveau]
 nvkm_engine_init+0xaa/0x1e0 [nouveau]
 nvkm_subdev_init+0xb2/0x200 [nouveau]
 nvkm_engine_ref+0x48/0x70 [nouveau]
 nvkm_ioctl_new+0x125/0x220 [nouveau]
 ? nvkm_fifo_chan_dtor+0xf0/0xf0 [nouveau]
 ? gf100_fermi_mthd+0xf0/0xf0 [nouveau]
 ? nvkm_ioctl+0xd8/0x170 [nouveau]
 ? usif_ioctl+0x6b3/0x730 [nouveau]
 ? nouveau_drm_ioctl+0xad/0xc0 [nouveau]
 ? do_vfs_ioctl+0xa4/0x610
 ? SyS_ioctl+0x74/0x80
 ? do_syscall_64+0x74/0x180
 ? entry_SYSCALL_64_after_hwframe+0x3d/0xa2
Code: fb ff ff 48 8b 7b 10 48 8b 5f 50 48 85 db 75 04 48 8b 5f 10 e8 c0 8b b9 c6 48 89 da 48 c7 c7 4d c1 af c0 48 89 c6 e8 d8 f8 6a c6 <0f> 0b b8 f0 ff ff ff e9 e0 fa ff ff 48 8b 7b 10 48 8b 5f 50 48

Comment 6 Elyes Ben Salah 2018-08-16 09:33:27 UTC
Description of problem:
juste installed fedora OS , my first login the OS freezed , forced the Laptop to close.

Version-Release number of selected component:
kernel-core-4.16.3-301.fc28

Additional info:
reporter:       libreport-2.9.4
cmdline:        BOOT_IMAGE=/vmlinuz-4.16.3-301.fc28.x86_64 root=/dev/mapper/fedora_localhost--live-root ro resume=/dev/mapper/fedora_localhost--live-swap rd.lvm.lv=fedora_localhost-live/root rd.lvm.lv=fedora_localhost-live/swap rhgb quiet LANG=en_US.UTF-8
crash_function: gp100_gr_init
kernel:         4.16.3-301.fc28.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 0 PID: 1275 at drivers/gpu/drm/nouveau/nvkm/engine/gr/gf100.c:1507 gf100_gr_init_ctxctl+0x842/0x9f0 [nouveau]
Modules linked in: rfcomm nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack devlink ip_set nfnetlink ebtable_nat ebtable_broute bridge stp llc ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack libcrc32c iptable_mangle iptable_raw iptable_security ebtable_filter ebtables ip6table_filter ip6_tables bnep sunrpc snd_hda_codec_hdmi arc4 intel_rapl x86_pkg_temp_thermal intel_powerclamp coretemp kvm_intel iwlmvm iTCO_wdt kvm iTCO_vendor_support snd_hda_codec_realtek snd_hda_codec_generic mac80211 snd_hda_intel irqbypass crct10dif_pclmul crc32_pclmul snd_hda_codec ghash_clmulni_intel intel_cstate intel_uncore
 snd_hda_core intel_rapl_perf snd_hwdep iwlwifi snd_seq snd_seq_device snd_pcm btusb btrtl uvcvideo snd_timer btbcm btintel videobuf2_vmalloc wmi_bmof videobuf2_memops bluetooth snd videobuf2_v4l2 cfg80211 videobuf2_common i2c_i801 soundcore videodev joydev media mei_me mei ecdh_generic ideapad_laptop intel_pch_thermal sparse_keymap rfkill shpchp tpm_crb tpm_tis tpm_tis_core pinctrl_sunrisepoint pinctrl_intel tpm acpi_pad uas usb_storage i915 nouveau mxm_wmi ttm i2c_algo_bit drm_kms_helper sdhci_pci cqhci nvme sdhci r8169 drm nvme_core mmc_core crc32c_intel serio_raw mii wmi video
CPU: 0 PID: 1275 Comm: Xorg Not tainted 4.16.3-301.fc28.x86_64 #1
Hardware name: LENOVO 80WK/LNVNB161216, BIOS 4KCN40WW 10/17/2017
RIP: 0010:gf100_gr_init_ctxctl+0x842/0x9f0 [nouveau]
RSP: 0018:ffffb66f42047b58 EFLAGS: 00010282
RAX: 0000000000000000 RBX: ffff8ecb6b909c50 RCX: 0000000000000006
RDX: 0000000000000007 RSI: 0000000000000096 RDI: ffff8ecb7ec168f0
RBP: ffff8ecb640f8000 R08: 0000000000000030 R09: 0000000000000397
R10: 0000000000000000 R11: 0000000000000001 R12: 0000000077393660
R13: ffff8ecb65c11f60 R14: 00000002003d4100 R15: ffff8ecb640f8000
FS:  00007f4bb7407ac0(0000) GS:ffff8ecb7ec00000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00007f4bac6a9b60 CR3: 000000044e2bc003 CR4: 00000000003606f0
Call Trace:
 gp100_gr_init+0x6e2/0x720 [nouveau]
 nvkm_engine_init+0xaa/0x1e0 [nouveau]
 nvkm_subdev_init+0xb2/0x200 [nouveau]
 nvkm_engine_ref+0x48/0x70 [nouveau]
 nvkm_ioctl_new+0x125/0x220 [nouveau]
 ? nvkm_fifo_chan_dtor+0xf0/0xf0 [nouveau]
 ? gf100_fermi_mthd+0xf0/0xf0 [nouveau]
 ? nvkm_ioctl+0xd8/0x170 [nouveau]
 ? usif_ioctl+0x6b3/0x730 [nouveau]
 ? nouveau_drm_ioctl+0xad/0xc0 [nouveau]
 ? do_vfs_ioctl+0xa4/0x610
 ? SyS_ioctl+0x74/0x80
 ? do_syscall_64+0x74/0x180
 ? entry_SYSCALL_64_after_hwframe+0x3d/0xa2
Code: fb ff ff 48 8b 7b 10 48 8b 5f 50 48 85 db 75 04 48 8b 5f 10 e8 c0 9b 18 da 48 89 da 48 c7 c7 4d b1 50 c0 48 89 c6 e8 d8 08 ca d9 <0f> 0b b8 f0 ff ff ff e9 e0 fa ff ff 48 8b 7b 10 48 8b 5f 50 48

Comment 7 ericspi 2018-08-19 00:31:11 UTC
it happen on my Dell laptop. just close TPP(forgot abbreviation name) under Security Tab close FastBoot on BIOS should work better

After that, PCC driver not working show up...

there are another problem is switch your onboard graphics and Nvdia graphics in BIOS for usage that I readed in another post. I don't have this problem.

Comment 8 ericspi 2018-08-19 01:55:51 UTC
(In reply to ericspi from comment #7)
> it happen on my Dell laptop. just close TPP(forgot abbreviation name) under
> Security Tab close FastBoot on BIOS should work better
> 
> After that, PCC driver not working show up...
> 
> there are another problem is switch your onboard graphics and Nvdia graphics
> in BIOS for usage that I readed in another post. I don't have this problem.

Similar bug
https://unix.stackexchange.com/questions/422454/acpi-region-does-not-cover-the-entire-command-response-buffer

Close TPM. difference name in my BIOS
https://forums.linuxmint.com/viewtopic.php?t=263918#p143116

Comment 9 Elyes Ben Salah 2018-08-19 21:09:19 UTC
Description of problem:
juste installed fedora 28 workstation in Lenovo Legion Y520 

Version-Release number of selected component:
kernel-core-4.16.3-301.fc28

Additional info:
reporter:       libreport-2.9.5
cmdline:        BOOT_IMAGE=/vmlinuz-4.17.14-202.fc28.x86_64 root=/dev/mapper/fedora_localhost--live-root ro resume=/dev/mapper/fedora_localhost--live-swap rd.lvm.lv=fedora_localhost-live/root rd.lvm.lv=fedora_localhost-live/swap rhgb quiet LANG=en_US.UTF-8
crash_function: gp100_gr_init
kernel:         4.16.3-301.fc28.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 0 PID: 1103 at drivers/gpu/drm/nouveau/nvkm/engine/gr/gf100.c:1507 gf100_gr_init_ctxctl+0x842/0x9f0 [nouveau]
Modules linked in: nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack rfcomm devlink ip_set nfnetlink ebtable_nat ebtable_broute bridge stp llc ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack libcrc32c iptable_mangle iptable_raw iptable_security ebtable_filter ebtables ip6table_filter ip6_tables bnep sunrpc vfat fat arc4 intel_rapl x86_pkg_temp_thermal intel_powerclamp coretemp snd_hda_codec_hdmi iwlmvm kvm_intel kvm mac80211 snd_hda_codec_realtek iTCO_wdt snd_hda_codec_generic iTCO_vendor_support irqbypass crct10dif_pclmul snd_hda_intel crc32_pclmul snd_hda_codec ghash_clmulni_intel intel_cstate iwlwifi
 snd_hda_core intel_uncore snd_hwdep intel_rapl_perf snd_seq btusb btrtl snd_seq_device btbcm btintel snd_pcm uvcvideo bluetooth videobuf2_vmalloc cfg80211 videobuf2_memops videobuf2_v4l2 videobuf2_common snd_timer videodev wmi_bmof snd joydev media soundcore mei_me i2c_i801 ecdh_generic mei intel_pch_thermal tpm_crb ideapad_laptop tpm_tis tpm_tis_core sparse_keymap pinctrl_sunrisepoint tpm rfkill pinctrl_intel shpchp acpi_pad nouveau i915 mxm_wmi ttm i2c_algo_bit drm_kms_helper sdhci_pci cqhci nvme sdhci r8169 drm mmc_core crc32c_intel mii nvme_core serio_raw wmi video
CPU: 0 PID: 1103 Comm: Xorg Not tainted 4.16.3-301.fc28.x86_64 #1
Hardware name: LENOVO 80WK/LNVNB161216, BIOS 4KCN40WW 10/17/2017
RIP: 0010:gf100_gr_init_ctxctl+0x842/0x9f0 [nouveau]
RSP: 0018:ffffa16d8271bb58 EFLAGS: 00010282
RAX: 0000000000000000 RBX: ffff8af32b928350 RCX: 0000000000000006
RDX: 0000000000000007 RSI: 0000000000000096 RDI: ffff8af33ec168f0
RBP: ffff8af325788000 R08: 0000000000000030 R09: 00000000000003ad
R10: 0000000000000000 R11: 0000000000000001 R12: 0000000077363880
R13: ffff8af322c06360 R14: 000000019af510a0 R15: ffff8af325788000
FS:  00007efd1b7ceac0(0000) GS:ffff8af33ec00000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00007efd1b697000 CR3: 00000004693c0001 CR4: 00000000003606f0
Call Trace:
 gp100_gr_init+0x6e2/0x720 [nouveau]
 nvkm_engine_init+0xaa/0x1e0 [nouveau]
 nvkm_subdev_init+0xb2/0x200 [nouveau]
 nvkm_engine_ref+0x48/0x70 [nouveau]
 nvkm_ioctl_new+0x125/0x220 [nouveau]
 ? nvkm_fifo_chan_dtor+0xf0/0xf0 [nouveau]
 ? gf100_fermi_mthd+0xf0/0xf0 [nouveau]
 ? nvkm_ioctl+0xd8/0x170 [nouveau]
 ? usif_ioctl+0x6b3/0x730 [nouveau]
 ? nouveau_drm_ioctl+0xad/0xc0 [nouveau]
 ? do_vfs_ioctl+0xa4/0x610
 ? SyS_ioctl+0x74/0x80
 ? do_syscall_64+0x74/0x180
 ? entry_SYSCALL_64_after_hwframe+0x3d/0xa2
Code: fb ff ff 48 8b 7b 10 48 8b 5f 50 48 85 db 75 04 48 8b 5f 10 e8 c0 0b df c8 48 89 da 48 c7 c7 4d 41 8a c0 48 89 c6 e8 d8 78 90 c8 <0f> 0b b8 f0 ff ff ff e9 e0 fa ff ff 48 8b 7b 10 48 8b 5f 50 48

Comment 10 anonymous_q6r 2018-09-03 09:32:37 UTC
Description of problem:
started fedora live usb.

Version-Release number of selected component:
kernel-core-4.16.3-301.fc28

Additional info:
reporter:       libreport-2.9.4
cmdline:        BOOT_IMAGE=/images/pxeboot/vmlinuz root=live:CDLABEL=Fedora-Xfce-Live-28-1-1 rd.live.image rd.live.check quiet
crash_function: gp100_gr_init
kernel:         4.16.3-301.fc28.x86_64
runlevel:       unknown
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 4 PID: 1361 at drivers/gpu/drm/nouveau/nvkm/engine/gr/gf100.c:1507 gf100_gr_init_ctxctl+0x842/0x9f0 [nouveau]
Modules linked in: ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ip_set nfnetlink ebtable_nat ebtable_broute bridge ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack libcrc32c iptable_mangle iptable_raw iptable_security ebtable_filter ebtables ip6table_filter ip6_tables cmac bnep snd_hda_codec_realtek snd_hda_codec_generic arc4 uvcvideo intel_rapl iwlmvm x86_pkg_temp_thermal intel_powerclamp videobuf2_vmalloc dell_laptop dell_wmi coretemp videobuf2_memops mac80211 dell_smbios kvm_intel wmi_bmof videobuf2_v4l2 dcdbas iTCO_wdt hid_multitouch videobuf2_common dell_wmi_descriptor kvm iTCO_vendor_support dell_smm_hwmon videodev media irqbypass btusb iwlwifi
 snd_hda_intel btrtl nouveau btbcm intel_cstate snd_hda_codec intel_uncore btintel bluetooth intel_rapl_perf snd_hda_core i915 cfg80211 snd_hwdep ecdh_generic snd_seq mxm_wmi ttm rfkill snd_seq_device snd_pcm joydev i2c_algo_bit snd_timer drm_kms_helper tpm_crb snd tpm_tis int3403_thermal tpm_tis_core soundcore drm tpm idma64 mei_me int3400_thermal intel_hid processor_thermal_device int3402_thermal wmi mei video shpchp intel_lpss_pci acpi_thermal_rel sparse_keymap intel_soc_dts_iosf int340x_thermal_zone i2c_i801 intel_lpss intel_pch_thermal acpi_pad nls_utf8 isofs squashfs zstd_decompress xxhash dm_multipath 8021q garp mrp stp crct10dif_pclmul llc crc32_pclmul crc32c_intel r8169 uas ghash_clmulni_intel serio_raw usb_storage mii i2c_hid sunrpc loop
CPU: 4 PID: 1361 Comm: Xorg Not tainted 4.16.3-301.fc28.x86_64 #1
Hardware name: Dell Inc. Inspiron 15 7000 Gaming/065C71, BIOS 01.00.03 01/10/2017
RIP: 0010:gf100_gr_init_ctxctl+0x842/0x9f0 [nouveau]
RSP: 0018:ffffac8f4365fb58 EFLAGS: 00010282
RAX: 0000000000000000 RBX: ffff913bac13dce0 RCX: 0000000000000006
RDX: 0000000000000007 RSI: 0000000000000096 RDI: ffff913bbf5168f0
RBP: ffff913baad3c000 R08: 0000000000000030 R09: 0000000000000414
R10: 0000000000000000 R11: 0000000000000001 R12: 000000007735ea00
R13: ffff913ba1ffc780 R14: 00000014bf97f760 R15: ffff913baad3c000
FS:  00007efd14b67ac0(0000) GS:ffff913bbf500000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00007efd14a30000 CR3: 0000000465a7a001 CR4: 00000000003606e0
Call Trace:
 gp100_gr_init+0x6e2/0x720 [nouveau]
 nvkm_engine_init+0xaa/0x1e0 [nouveau]
 nvkm_subdev_init+0xb2/0x200 [nouveau]
 nvkm_engine_ref+0x48/0x70 [nouveau]
 nvkm_ioctl_new+0x125/0x220 [nouveau]
 ? nvkm_fifo_chan_dtor+0xf0/0xf0 [nouveau]
 ? gf100_fermi_mthd+0xf0/0xf0 [nouveau]
 ? nvkm_ioctl+0xd8/0x170 [nouveau]
 ? usif_ioctl+0x6b3/0x730 [nouveau]
 ? nouveau_drm_ioctl+0xad/0xc0 [nouveau]
 ? do_vfs_ioctl+0xa4/0x610
 ? SyS_ioctl+0x74/0x80
 ? do_syscall_64+0x74/0x180
 ? entry_SYSCALL_64_after_hwframe+0x3d/0xa2
Code: fb ff ff 48 8b 7b 10 48 8b 5f 50 48 85 db 75 04 48 8b 5f 10 e8 c0 7b b3 ee 48 89 da 48 c7 c7 4d d1 b5 c0 48 89 c6 e8 d8 e8 64 ee <0f> 0b b8 f0 ff ff ff e9 e0 fa ff ff 48 8b 7b 10 48 8b 5f 50 48

Comment 11 Jonathan 2018-10-03 19:58:28 UTC
Description of problem:
Error message appears on a clean boot of a clean install of Fedora 28 onto a Dell XPS 9560.

Version-Release number of selected component:
kernel-core-4.16.3-301.fc28

Additional info:
reporter:       libreport-2.9.5
cmdline:        BOOT_IMAGE=/vmlinuz-4.18.10-200.fc28.x86_64 root=/dev/mapper/fedora-root ro resume=/dev/mapper/fedora-swap rd.lvm.lv=fedora/root rd.lvm.lv=fedora/swap rhgb quiet nouveau.modeset=0
crash_function: gp100_gr_init
kernel:         4.16.3-301.fc28.x86_64
runlevel:       unknown
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 6 PID: 1055 at drivers/gpu/drm/nouveau/nvkm/engine/gr/gf100.c:1507 gf100_gr_init_ctxctl+0x842/0x9f0 [nouveau]
Modules linked in: nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ip_set nfnetlink ebtable_nat devlink ebtable_broute rfcomm bridge stp llc ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack libcrc32c iptable_mangle iptable_raw iptable_security ebtable_filter ebtables ip6table_filter ip6_tables cmac bnep sunrpc vfat fat tpm_crb arc4 intel_rapl x86_pkg_temp_thermal intel_powerclamp coretemp mei_wdt iTCO_wdt iTCO_vendor_support snd_hda_codec_hdmi kvm_intel kvm snd_hda_codec_realtek ath10k_pci snd_hda_codec_generic ath10k_core irqbypass crct10dif_pclmul dell_laptop crc32_pclmul dell_smm_hwmon ghash_clmulni_intel
 intel_cstate intel_uncore mac80211 snd_hda_intel snd_hda_codec intel_rapl_perf btusb snd_hda_core btrtl snd_hwdep btbcm btintel snd_seq uvcvideo dell_wmi ath videobuf2_vmalloc bluetooth snd_seq_device dell_smbios videobuf2_memops videobuf2_v4l2 dcdbas snd_pcm videobuf2_common cfg80211 videodev snd_timer intel_wmi_thunderbolt joydev wmi_bmof dell_wmi_descriptor snd media rtsx_pci_ms i2c_i801 soundcore memstick ecdh_generic idma64 rfkill mei_me intel_pch_thermal intel_lpss_pci mei processor_thermal_device intel_lpss shpchp intel_soc_dts_iosf intel_hid int3400_thermal int3403_thermal tpm_tis acpi_thermal_rel int340x_thermal_zone tpm_tis_core tpm sparse_keymap acpi_pad i915 nouveau ttm rtsx_pci_sdmmc i2c_algo_bit mmc_core drm_kms_helper mxm_wmi drm nvme crc32c_intel nvme_core rtsx_pci serio_raw
 hid_multitouch i2c_hid video wmi
CPU: 6 PID: 1055 Comm: Xorg Not tainted 4.16.3-301.fc28.x86_64 #1
Hardware name: Dell Inc. XPS 15 9560/05FFDN, BIOS 1.9.4 04/23/2018
RIP: 0010:gf100_gr_init_ctxctl+0x842/0x9f0 [nouveau]
RSP: 0018:ffffb7b682ea7b58 EFLAGS: 00010282
RAX: 0000000000000000 RBX: ffff9689ab1315c0 RCX: 0000000000000006
RDX: 0000000000000007 RSI: 0000000000000096 RDI: ffff9689be5968f0
RBP: ffff9689a3c50000 R08: 0000000000000030 R09: 00000000000003f1
R10: 0000000000000000 R11: 0000000000000001 R12: 0000000077389420
R13: ffff9689a541e660 R14: 000000029d957380 R15: ffff9689a3c50000
FS:  00007f93fbf9eac0(0000) GS:ffff9689be580000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00007f93fbe67000 CR3: 000000044c306004 CR4: 00000000003606e0
Call Trace:
 gp100_gr_init+0x6e2/0x720 [nouveau]
 nvkm_engine_init+0xaa/0x1e0 [nouveau]
 nvkm_subdev_init+0xb2/0x200 [nouveau]
 nvkm_engine_ref+0x48/0x70 [nouveau]
 nvkm_ioctl_new+0x125/0x220 [nouveau]
 ? nvkm_fifo_chan_dtor+0xf0/0xf0 [nouveau]
 ? gf100_fermi_mthd+0xf0/0xf0 [nouveau]
 ? nvkm_ioctl+0xd8/0x170 [nouveau]
 ? usif_ioctl+0x6b3/0x730 [nouveau]
 ? nouveau_drm_ioctl+0xad/0xc0 [nouveau]
 ? do_vfs_ioctl+0xa4/0x610
 ? SyS_ioctl+0x74/0x80
 ? do_syscall_64+0x74/0x180
 ? entry_SYSCALL_64_after_hwframe+0x3d/0xa2
Code: fb ff ff 48 8b 7b 10 48 8b 5f 50 48 85 db 75 04 48 8b 5f 10 e8 c0 cb e8 e6 48 89 da 48 c7 c7 4d 81 80 c0 48 89 c6 e8 d8 38 9a e6 <0f> 0b b8 f0 ff ff ff e9 e0 fa ff ff 48 8b 7b 10 48 8b 5f 50 48

Comment 12 Allan Hsu 2018-10-28 08:15:18 UTC
Description of problem:
Created a live usb from fedora media writer. After booting with the usb. This error appeared.

Version-Release number of selected component:
kernel-core-4.16.3-301.fc28

Additional info:
reporter:       libreport-2.9.4
cmdline:        BOOT_IMAGE=/images/pxeboot/vmlinuz root=live:CDLABEL=Fedora-WS-Live-28-1-1 rd.live.image quiet
crash_function: gp100_gr_init
kernel:         4.16.3-301.fc28.x86_64
runlevel:       unknown
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 3 PID: 1612 at drivers/gpu/drm/nouveau/nvkm/engine/gr/gf100.c:1507 gf100_gr_init_ctxctl+0x842/0x9f0 [nouveau]
Modules linked in: rfcomm fuse devlink nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ip_set nfnetlink ebtable_nat ebtable_broute bridge ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack libcrc32c iptable_mangle iptable_raw iptable_security ebtable_filter ebtables ip6table_filter ip6_tables cmac bnep snd_hda_codec_realtek snd_hda_codec_generic arc4 iwlmvm uvcvideo mac80211 intel_rapl videobuf2_vmalloc videobuf2_memops x86_pkg_temp_thermal videobuf2_v4l2 intel_powerclamp videobuf2_common coretemp kvm_intel videodev kvm btusb media iwlwifi snd_hda_intel btrtl irqbypass snd_hda_codec nouveau btbcm snd_hda_core
 i915 btintel intel_cstate cfg80211 bluetooth snd_hwdep intel_uncore hid_multitouch snd_seq dell_laptop dell_wmi iTCO_wdt intel_rapl_perf dell_smbios iTCO_vendor_support dcdbas wmi_bmof snd_seq_device ecdh_generic dell_wmi_descriptor dell_smm_hwmon snd_pcm mxm_wmi rfkill ttm snd_timer i2c_algo_bit tpm_crb drm_kms_helper snd tpm_tis joydev tpm_tis_core soundcore drm idma64 tpm mei_me mei intel_lpss_pci int3403_thermal intel_hid video processor_thermal_device intel_lpss shpchp int3400_thermal int3402_thermal sparse_keymap intel_soc_dts_iosf i2c_i801 acpi_thermal_rel wmi int340x_thermal_zone intel_pch_thermal acpi_pad nls_utf8 isofs squashfs zstd_decompress xxhash dm_multipath 8021q garp mrp stp uas llc crct10dif_pclmul crc32_pclmul serio_raw usb_storage crc32c_intel r8169 ghash_clmulni_intel
 mii i2c_hid sunrpc loop
CPU: 3 PID: 1612 Comm: gnome-shell Not tainted 4.16.3-301.fc28.x86_64 #1
Hardware name: Dell Inc. Inspiron 15 7000 Gaming/065C71, BIOS 1.7.0 05/08/2018
RIP: 0010:gf100_gr_init_ctxctl+0x842/0x9f0 [nouveau]
RSP: 0018:ffffa857827ffb58 EFLAGS: 00010282
RAX: 0000000000000000 RBX: ffff967e74cc0690 RCX: 0000000000000006
RDX: 0000000000000007 RSI: 0000000000000096 RDI: ffff967e7f4d68f0
RBP: ffff967e6eb10000 R08: 0000000000000030 R09: 0000000000000408
R10: 0000000000000000 R11: 0000000000000001 R12: 00000000773614a0
R13: ffff967e70d187e0 R14: 00000004cd5cb840 R15: ffff967e6eb10000
FS:  00007fa8b90a3280(0000) GS:ffff967e7f4c0000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00007fa88c267000 CR3: 00000002728a2005 CR4: 00000000003606e0
Call Trace:
 gp100_gr_init+0x6e2/0x720 [nouveau]
 nvkm_engine_init+0xaa/0x1e0 [nouveau]
 nvkm_subdev_init+0xb2/0x200 [nouveau]
 nvkm_engine_ref+0x48/0x70 [nouveau]
 nvkm_ioctl_new+0x125/0x220 [nouveau]
 ? nvkm_fifo_chan_dtor+0xf0/0xf0 [nouveau]
 ? gf100_fermi_mthd+0xf0/0xf0 [nouveau]
 ? nvkm_ioctl+0xd8/0x170 [nouveau]
 ? usif_ioctl+0x6b3/0x730 [nouveau]
 ? nouveau_drm_ioctl+0xad/0xc0 [nouveau]
 ? do_vfs_ioctl+0xa4/0x610
 ? SyS_ioctl+0x74/0x80
 ? do_syscall_64+0x74/0x180
 ? entry_SYSCALL_64_after_hwframe+0x3d/0xa2
Code: fb ff ff 48 8b 7b 10 48 8b 5f 50 48 85 db 75 04 48 8b 5f 10 e8 c0 eb a4 c9 48 89 da 48 c7 c7 4d 61 c4 c0 48 89 c6 e8 d8 58 56 c9 <0f> 0b b8 f0 ff ff ff e9 e0 fa ff ff 48 8b 7b 10 48 8b 5f 50 48

Comment 13 luca.brilli+bugzilla 2018-12-08 19:26:07 UTC
*** Bug 1657482 has been marked as a duplicate of this bug. ***

Comment 14 Ben Cotton 2019-05-02 20:09:44 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 15 Ben Cotton 2019-05-28 23:26:19 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.